import axios from "@/config/axios";
import type { DashboardResponse, OrderChartResponse } from "../types/Types";

export const getDashboard = async (): Promise<DashboardResponse> => {
  const { data } = await axios.get<DashboardResponse>(`/admin/reports`);
  return data;
};

export const getOrderChart = async (): Promise<OrderChartResponse> => {
  const { data } = await axios.get<OrderChartResponse>(`/admin/orders/chart`);
  return data;
};
